Export Analytics Endpoint
curl --request POST \
--url https://api.example.com/api/v1/merchants/{merchant_id}/analytics/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"period_a_start": "2023-12-25",
"period_b_start": "2023-12-25",
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"all_collections": false,
"level": "collection",
"market_group_id": "<string>",
"market": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/analytics/export"
payload = {
"period_a_start": "2023-12-25",
"period_b_start": "2023-12-25",
"collection_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"all_collections": False,
"level": "collection",
"market_group_id": "<string>",
"market": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period_a_start: '2023-12-25',
period_b_start: '2023-12-25',
collection_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
all_collections: false,
level: 'collection',
market_group_id: '<string>',
market: '<string>'
})
};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/analytics/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Analytics
Export Analytics Endpoint
POST
/
api
/
v1
/
merchants
/
{merchant_id}
/
analytics
/
export
Export Analytics Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Query Parameters
Body
application/json
Available options:
week, month, week4 Available options:
collection, product Response
Successful Response
Was this page helpful?

